#763 Update error

General
pending
nobody
None
5
2015-04-08
2014-05-11
trini
No

trying for a month I upgrade the mequi version 2418 But you can not mistake turns out
Preliminary log file only. During closing of MeGUI the well formed log file will be written.

-[Information] Versions
--[Information] [11/5/2014 9:23:24 μμ] MeGUI: 2418
--[Information] [11/5/2014 9:23:24 μμ] Operating System: Windows 7 Ultimate Edition x86 SP1 (6.1.65536.7601)
--[Information] [11/5/2014 9:23:24 μμ] .Net Framework: 4.5.x (4.5.50938)
--[Information] [11/5/2014 9:23:24 μμ] AviSynth: 2.5.8.5 (21-12-2008)
--[Information] [11/5/2014 9:23:24 μμ] AvisynthWrapper: (02-01-2009)
--[Information] [11/5/2014 9:23:24 μμ] Haali Matroska Splitter: 1.13.138.14 (14-04-2013)
--[Information] [11/5/2014 9:23:24 μμ] Haali DSS2: (14-04-2013)
--[Information] [11/5/2014 9:23:24 μμ] ICSharpCode.SharpZipLib: 0.85.5.452 (07-08-2008)
--[Information] [11/5/2014 9:23:24 μμ] LinqBridge: 1.0.0.0 (28-05-2009)
--[Information] [11/5/2014 9:23:24 μμ] MediaInfo: 0.7.64.0 (05-07-2013)
--[Information] [11/5/2014 9:23:24 μμ] MediaInfoWrapper: 0.7.61.0 (06-01-2013)
--[Information] [11/5/2014 9:23:24 μμ] MessageBoxExLib: 1.0.2218.28317 (19-12-2008)
--[Information] [11/5/2014 9:23:24 μμ] SevenZipSharp: 0.64.3890.29348 (02-01-2011)
--[Information] [11/5/2014 9:23:24 μμ] 7z: 9.20 (18-11-2010)
-[Information] Update detection
--[Information] [11/5/2014 9:23:24 μμ] Automatic update is disabled
--[Information] [11/5/2014 9:23:26 μμ] Connecting to server: http://megui.org/auto/
--[Information] [11/5/2014 9:23:27 μμ] There are 7 files which can be updated.
--[Information] [11/5/2014 9:23:54 μμ] Updating core. File 1/8.
--[Information] [11/5/2014 9:23:55 μμ] Updating data. File 2/8.
--[Information] [11/5/2014 9:23:55 μμ] Could not install module 'data' as at least MeGUI build 2444 is required.
--[Error] [11/5/2014 9:23:55 μμ] Failed to install file data with error: CouldNotSaveNewFile.
--[Information] [11/5/2014 9:23:55 μμ] Updating mediainfo. File 3/8.
--[Information] [11/5/2014 9:23:55 μμ] Updating x264. File 4/8.
--[Information] [11/5/2014 9:23:57 μμ] Updating tsmuxer. File 5/8.
--[Information] [11/5/2014 9:23:57 μμ] Updating mkvmerge. File 6/8.
--[Information] [11/5/2014 9:23:59 μμ] Updating ffmpeg. File 7/8.
--[Information] [11/5/2014 9:24:02 μμ] Updating avs. File 8/8.
--[Information] [11/5/2014 9:24:02 μμ] Update completed
--[Information] [11/5/2014 9:24:02 μμ] Files which have been successfully updated: 7
--[Error] [11/5/2014 9:24:02 μμ] Files which have not been successfully updated: 1
-[Error] Unhandled error
--[Information] [11/5/2014 9:24:02 μμ] Exception message: Not set object reference to an object instance.
-[NoImage] σε MeGUI.UpdateCacher.flushOldCachedFilesAsync(List1 urls, UpdateWindow oUpdate) -[NoImage] σε MeGUI.UpdateWindow.InstallFiles(SortedDictionary2 groups)
-[NoImage] σε MeGUI.UpdateWindow.BeginUpdate()
-[NoImage] σε System.Threading.ThreadHelper.ThreadStart_Context(Object state)
-[NoImage] σε System.Threading.ExecutionContext.Run(ExecutionContext executionContext, ContextCallback callback, Object state)
-[NoImage] σε System.Threading.ThreadHelper.ThreadStart()
--[Information] [11/5/2014 9:24:02 μμ] Stacktrace
--[Information] [11/5/2014 9:24:02 μμ] Inner exception: null

developer update server .
please help

1 Attachments

Discussion

  • Zathor
    Zathor
    2014-05-11

    Please copy this file into your MeGUI directory and extract it: http://megui.org/test/MeGUI_2418.zip
    Likely it will still fail but please post then the new log.

     
  • Zathor
    Zathor
    2014-05-11

    • status: open --> pending
    • Priority: 9 --> 5
     
  • trini
    trini
    2014-05-12

    ok done againe fail
    Preliminary log file only. During closing of MeGUI the well formed log file will be written.

    -[Information] Versions
    --[Information] [12/5/2014 10:40:47 μμ] MeGUI: 2418
    --[Information] [12/5/2014 10:40:47 μμ] Operating System: Windows 7 Ultimate Edition x86 SP1 (6.1.65536.7601)
    --[Information] [12/5/2014 10:40:47 μμ] .Net Framework: 4.5.x (4.5.50938)
    --[Information] [12/5/2014 10:40:47 μμ] AviSynth: 2.5.8.5 (21-12-2008)
    --[Information] [12/5/2014 10:40:47 μμ] AvisynthWrapper: (02-01-2009)
    --[Information] [12/5/2014 10:40:47 μμ] Haali Matroska Splitter: 1.13.138.14 (14-04-2013)
    --[Information] [12/5/2014 10:40:47 μμ] Haali DSS2: (14-04-2013)
    --[Information] [12/5/2014 10:40:47 μμ] ICSharpCode.SharpZipLib: 0.85.5.452 (07-08-2008)
    --[Information] [12/5/2014 10:40:47 μμ] LinqBridge: 1.0.0.0 (28-05-2009)
    --[Information] [12/5/2014 10:40:47 μμ] MediaInfo: 0.7.64.0 (05-07-2013)
    --[Information] [12/5/2014 10:40:47 μμ] MediaInfoWrapper: 0.7.61.0 (06-01-2013)
    --[Information] [12/5/2014 10:40:47 μμ] MessageBoxExLib: 1.0.2218.28317 (19-12-2008)
    --[Information] [12/5/2014 10:40:47 μμ] SevenZipSharp: 0.64.3890.29348 (02-01-2011)
    --[Information] [12/5/2014 10:40:47 μμ] 7z: 9.20 (18-11-2010)
    -[Information] Update detection
    --[Information] [12/5/2014 10:40:47 μμ] Automatic update is disabled
    --[Information] [12/5/2014 10:40:51 μμ] Connecting to server: http://megui.org/auto/
    --[Information] [12/5/2014 10:40:51 μμ] There are 5 files which can be updated.
    --[Information] [12/5/2014 10:41:06 μμ] Connecting to server: http://megui.org/auto/
    --[Information] [12/5/2014 10:41:06 μμ] There are 5 files which can be updated.
    --[Information] [12/5/2014 10:41:09 μμ] Updating core. File 1/4.
    --[Information] [12/5/2014 10:41:10 μμ] Updating data. File 2/4.
    --[Information] [12/5/2014 10:41:10 μμ] Could not install module 'data' as at least MeGUI build 2444 is required.
    --[Error] [12/5/2014 10:41:10 μμ] Failed to install file data with error: CouldNotSaveNewFile.
    --[Information] [12/5/2014 10:41:10 μμ] Updating mediainfo. File 3/4.
    --[Information] [12/5/2014 10:41:11 μμ] Updating ffms. File 4/4.
    --[Information] [12/5/2014 10:41:11 μμ] Could not install module 'ffms' as at least MeGUI build 2439 is required.
    --[Error] [12/5/2014 10:41:11 μμ] Failed to install file ffms with error: CouldNotSaveNewFile.
    --[Information] [12/5/2014 10:41:11 μμ] Update completed
    --[Information] [12/5/2014 10:41:11 μμ] Files which have been successfully updated: 2
    --[Error] [12/5/2014 10:41:11 μμ] Files which have not been successfully updated: 2
    -[Error] Unhandled error
    --[Information] [12/5/2014 10:41:11 μμ] Exception message: Δεν έχει οριστεί αναφορά αντικειμένου σε μια παρουσία αντικειμένου.
    -[NoImage] σε MeGUI.UpdateCacher.flushOldCachedFilesAsync(List1 urls, UpdateWindow oUpdate) στο d:\MeGUI_FTP\MeGUI_2148\core\gui\UpdateCacher.cs:γραμμή 51 -[NoImage] σε MeGUI.UpdateWindow.InstallFiles(SortedDictionary2 groups) στο d:\MeGUI_FTP\MeGUI_2148\core\gui\UpdateWindow.cs:γραμμή 1871
    -[NoImage] σε MeGUI.UpdateWindow.BeginUpdate() στο d:\MeGUI_FTP\MeGUI_2148\core\gui\UpdateWindow.cs:γραμμή 1916
    -[NoImage] σε System.Threading.ThreadHelper.ThreadStart_Context(Object state)
    -[NoImage] σε System.Threading.ExecutionContext.Run(ExecutionContext executionContext, ContextCallback callback, Object state)
    -[NoImage] σε System.Threading.ThreadHelper.ThreadStart()
    --[Information] [12/5/2014 10:41:11 μμ] Stacktrace
    --[Information] [12/5/2014 10:41:11 μμ] Inner exception: null

     
  • Zathor
    Zathor
    2014-05-12

    If possible please compress your complete MeGUI directory and upload it somewhere. I would like to reproduce this myself.

     
  • trini
    trini
    2014-05-13

    hi zathor ,look your pm send url directory for download my mequi folder

     
  • Zathor
    Zathor
    2014-05-14

    Thanks!

    Please enable in the MeGUI settings the option for X264 10bit and start the update again. It should now work as expected. I do not know currently why this has happended for you.

     
  • Zathor
    Zathor
    2014-05-18

    Sorry, I have no clue what is going on. Please download the full package of 2418 again, extract it to a new directory, start it, change the settings to the development update server and update.

     
  • trini
    trini
    2014-05-18

    2418 is it olld version?I have now 2496.
    objective is i have update version?

     
  • Zathor
    Zathor
    2015-04-03

    Is this problem fixed?

     
  • trini
    trini
    2015-04-08

    After several months I have a version 2513 and no plroblem .